GET api/MedicalExamcos/GetEmployeeExamEncounterLog?q={q}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
q

string

Required

Body Parameters

None.

Response Information

Resource Description

AsapResponseOfListOfExamEncounterLogDTO
NameDescriptionTypeAdditional information
isSuccess

boolean

None.

message

string

None.

jsonObj

Collection of ExamEncounterLogDTO

None.

totalCount

integer

None.

Response Formats

application/json, text/json

Sample:
{
  "isSuccess": true,
  "message": "sample string 2",
  "jsonObj": [
    {
      "Id": 1,
      "EncounterId": 2,
      "Step": 3.1,
      "CloseByUserId": 1,
      "CloseByDate": "2026-08-04T14:30:52.4779764-07:00",
      "ClosedUserName": "sample string 4",
      "MaxEncounterId": 5,
      "ValidFlag": true,
      "DateCreated": "2026-08-04T14:30:52.4779764-07:00",
      "DateUpdated": "2026-08-04T14:30:52.4779764-07:00",
      "UserIDCreated": 9,
      "UserIDUpdated": 10
    },
    {
      "Id": 1,
      "EncounterId": 2,
      "Step": 3.1,
      "CloseByUserId": 1,
      "CloseByDate": "2026-08-04T14:30:52.4779764-07:00",
      "ClosedUserName": "sample string 4",
      "MaxEncounterId": 5,
      "ValidFlag": true,
      "DateCreated": "2026-08-04T14:30:52.4779764-07:00",
      "DateUpdated": "2026-08-04T14:30:52.4779764-07:00",
      "UserIDCreated": 9,
      "UserIDUpdated": 10
    }
  ],
  "totalCount": 3
}